#!/bin/bash
#
#从nacos里踢除服务
curl -X POST 'http://localhost:8018/actuator/shutdown'
sleep 5
# 获取PID
#pid=`ps -ef | grep [s]oa-protocol-highfreq-v0.0.1.jar | grep -v "soa-protocol-highfreq.sh" | awk '{print $2}'`

# 查询进程是否存在
#ps aux | grep [s]oa-protocol-highfreq-v0.0.1.jar

# 如进程存在，则kill
#if [ $? -eq 0 ];then
#	kill $pid
#fi
ps -ef | grep [s]oa-protocol-highfreq-v0.0.1.jar | grep -v "soa-protocol-highfreq.sh" |grep -v grep | awk '{print $2}'|xargs kill -9
sleep 5

cd /data/TSP/
# 检查jar包是否存在
if [ -f soa-protocol-highfreq-v0.0.1.jar ];then
	mv soa-protocol-highfreq-v0.0.1.jar ./backups/soa-protocol-highfreq-v0.0.1.jar-$(date +%F_%H-%M)
fi

# jar包重命名
mv /data/TSP/soa-protocol-highfreq-v0.0.1.jar.1 /data/TSP/soa-protocol-highfreq-v0.0.1.jar
sleep 5
# 运行jar包
nohup java -Xms4g -Xmx4g -Xmn3g -XX:MetaspaceSize=256m -XX:MaxMetaspaceSize=512m -XX:MaxDirectMemorySize=512m -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:/data/TSP_LOG/gclog/soa-protocol-highfreq.log -javaagent:/opt/skywalking_agent/skywalking-agent.jar  -Dskywalking.agent.service_name=soa-protocol-highfreq-1 -Dskywalking.collector.backend_service=10.20.80.124:11800,10.20.20.183:11800,10.20.50.2:11800 -javaagent:/opt/prometheus-jvm/jmx_prometheus_javaagent-0.14.0.jar=27010:/opt/prometheus-jvm/prometheus-jmx-config.yaml -jar -Dspring.profiles.active=prod -Dfile.encoding=UTF-8 -Duser.timezone=GMT+08 /data/TSP/soa-protocol-highfreq-v0.0.1.jar > /data/logs/soa-protocol-highfreq.log 2>&1 &
cd
sleep 5
pid=`ps -ef | grep [s]oa-protocol-highfreq-v0.0.1.jar | grep -v "soa-protocol-highfreq.sh" |grep -v grep | awk '{print $2}'`
if [ "$pid" == "" ]; then
        echo '启动不正常，再次启动'>/tmp/1-high.txt
	nohup java -Xms4g -Xmx4g -Xmn3g -XX:MetaspaceSize=256m -XX:MaxMetaspaceSize=512m -XX:MaxDirectMemorySize=512m -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:/data/TSP_LOG/gclog/soa-protocol-highfreq.log  -javaagent:/opt/skywalking_agent/skywalking-agent.jar  -Dskywalking.agent.service_name=soa-protocol-highfreq-1 -Dskywalking.collector.backend_service=10.20.80.124:11800,10.20.20.183:11800,10.20.50.2:11800 -javaagent:/opt/prometheus-jvm/jmx_prometheus_javaagent-0.14.0.jar=27010:/opt/prometheus-jvm/prometheus-jmx-config.yaml -jar -Dspring.profiles.active=prod -Dfile.encoding=UTF-8 -Duser.timezone=GMT+08 /data/TSP/soa-protocol-highfreq-v0.0.1.jar > /data/logs/soa-protocol-highfreq.log 2>&1 &
else
        echo '正常'>/tmp/2-high.txt
fi
cd
exit 0
